<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.wecom.mapper.BladeUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.wecom.entity.BladeUser">
        <id column="id" property="id" />
        <result column="tenant_id" property="tenantId" />
        <result column="code" property="code" />
        <result column="user_type" property="userType" />
        <result column="account" property="account" />
        <result column="password" property="password" />
        <result column="name" property="name" />
        <result column="real_name" property="realName" />
        <result column="nick_name" property="nickName" />
        <result column="avatar" property="avatar" />
        <result column="email" property="email" />
        <result column="phone" property="phone" />
        <result column="birthday" property="birthday" />
        <result column="sex" property="sex" />
        <result column="role_id" property="roleId" />
        <result column="dept_id" property="deptId" />
        <result column="post_id" property="postId" />
        <result column="face_user_id" property="faceUserId" />
        <result column="face_group_id" property="faceGroupId" />
        <result column="face_token" property="faceToken" />
        <result column="face_img" property="faceImg" />
        <result column="open_id" property="openId" />
        <result column="create_user" property="createUser" />
        <result column="create_dept" property="createDept" />
        <result column="create_time" property="createTime" />
        <result column="update_user" property="updateUser" />
        <result column="update_time" property="updateTime" />
        <result column="audit_level" property="auditLevel" />
        <result column="is_login" property="isLogin" />
        <result column="is_wx_login" property="isWxLogin" />
        <result column="login_status" property="loginStatus" />
        <result column="status" property="status" />
        <result column="is_deleted" property="isDeleted" />
        <result column="ext_json" property="extJson" />
        <result column="third_user_id" property="thirdUserId" />
        <result column="wechat_open_id" property="wechatOpenId" />
        <result column="ding_open_id" property="dingOpenId" />
        <result column="qy_wechat_code" property="qyWechatCode" />
        <result column="fei_shu_open_id" property="feiShuOpenId" />
        <result column="user_attr" property="userAttr" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, tenant_id, code, user_type, account, password, name, real_name, nick_name, avatar, email, phone, birthday, sex, role_id, dept_id, post_id, face_user_id, face_group_id, face_token, face_img, open_id, create_user, create_dept, create_time, update_user, update_time, audit_level, is_login, is_wx_login, login_status, status, is_deleted, ext_json, third_user_id, wechat_open_id, ding_open_id, qy_wechat_code, fei_shu_open_id, user_attr
    </sql>

</mapper>
